OpenJPEG: CODmarker_param Struct Reference

OpenJPEG 2.5.3

Data Fields
CODmarker_param Struct Reference

A.6.1 Coding style default (COD) More...

`#include <index_manager.h>`

## Data Fields
Byte2_t | Lcod
| length of marker segment excluding the marker
Byte_t | Scod
| Coding style for all components.
OPJ_PROG_ORDER | prog_order
| progression order
Byte2_t | numOflayers
| number of layers
Byte_t | numOfdecomp
| number of decompositions levels
Byte4_t * | XPsiz
| dynamic array of precinct width at successive resolution level in order
Byte4_t * | YPsiz
| dynamic array of precinct height at successive resolution level in order

## Detailed Description

A.6.1 Coding style default (COD)

## Field Documentation

## ◆ Lcod

Byte2_t CODmarker_param::Lcod

length of marker segment excluding the marker

Referenced by get_CODmkrdata_from_j2kstream(), get_mainheader_from_j2kstream(), modify_CODmkrstream(), modify_mainheader(), and set_CODmkrdata().

## ◆ numOfdecomp

Byte_t CODmarker_param::numOfdecomp

number of decompositions levels

Referenced by comp_numOfprcts(), enqueue_allprecincts(), enqueue_imagedata(), enqueue_precincts(), get_CODmkrdata_from_j2kstream(), modify_mainheader(), print_COD(), recons_codestream_from_JPPstream(), recons_CPRLbitstream(), recons_LRCPbitstream(), recons_PCRLbitstream(), recons_RLCPbitstream(), recons_RPCLbitstream(), and set_CODmkrdata().

## ◆ numOflayers

Byte2_t CODmarker_param::numOflayers

number of layers

Referenced by enqueue_precinct(), gene_JPIPstream(), get_CODmkrdata_from_j2kstream(), print_COD(), recons_LRCPbitstream(), recons_precinct(), recons_RLCPbitstream(), and set_CODmkrdata().

## ◆ prog_order

OPJ_PROG_ORDER CODmarker_param::prog_order

progression order

Referenced by get_CODmkrdata_from_j2kstream(), print_COD(), recons_bitstream(), and set_CODmkrdata().

## ◆ Scod

Byte_t CODmarker_param::Scod

Coding style for all components.

Referenced by enqueue_allprecincts(), enqueue_precincts(), get_CODmkrdata_from_j2kstream(), modify_CODmkrstream(), print_COD(), recons_CPRLbitstream(), recons_LRCPbitstream(), recons_packet(), recons_PCRLbitstream(), recons_precinct(), recons_RLCPbitstream(), recons_RPCLbitstream(), and set_CODmkrdata().

## ◆ XPsiz

Byte4_t* CODmarker_param::XPsiz

dynamic array of precinct width at successive resolution level in order

Referenced by comp_numOfprcts(), delete_COD(), enqueue_allprecincts(), enqueue_precincts(), get_CODmkrdata_from_j2kstream(), print_COD(), and set_CODmkrdata().

## ◆ YPsiz

Byte4_t* CODmarker_param::YPsiz

dynamic array of precinct height at successive resolution level in order

Referenced by comp_numOfprcts(), delete_COD(), enqueue_allprecincts(), enqueue_precincts(), get_CODmkrdata_from_j2kstream(), print_COD(), and set_CODmkrdata().

The documentation for this struct was generated from the following file:

- index_manager.h